#!/bin/ash
# /root/my-applications/bin/obs-fr.sh
# Pour afficher les commentaires en franais des 
# fichiers *.desktop s'il y en a.
#
# Instructions : 
# ouvrir le dossier /usr/share/applications dans une fentre du ROX-Filer
# ouvrir le dossier /root/my-applications/bin dans une fentre du ROX-Filer
# cliquer sur n'importe quel fichier *.desktop
# cliquer sur personaliser le menu; une petite fentre s'ouvre.
# lire le message et cliquer sur ok.
# dans /root/my-applications/bin, surligner obs-fr.sh et le transporter
#  la petite fentre. Cliquer sur "lien absolu".
#
# C'est fait. Le script obs-fr.sh est maintenant associ aux fichiers *.desktop.
#
# Dsormais, pour voir le commentaire en franais d'un fichier *.desktop, 
# faites un clic droit de votre souris sur un fichier *.desktop et cliquez
# sur obs-fr.sh. 
# Le commentaire en franais s'affichera s'il existe. Sinon, le commentaire 
# en anglais. Si par hasard ce fichier *.desktop ne renferme aucun 
# commentaire, vous en serez inform aussi.
# 
# musher0, 2 avril 2015.
####
if [ "`egrep "Comment" $@`" = "" ];then
	[ "${LANG:0:2}" = "fr" ] && A="Ce fichier 'desktop' ne renferme aucun commentaire." || A="This 'desktop' file contains no comment."
else 
	[ "`egrep "Comment\[fr\]" $@`" ] && A="`awk -F\"=\" '$1=="Comment[fr]" { print $2 }' $@`" || A="`awk -F\"=\" '$1=="Comment" { print $2 }' $@`"
fi
yaf-splash -timeout 4 -text "$A"

# ~~~~~~~~~~ scories...
# echo . > /tmp/obs-fr.txt;awk -F"=" '$1=="Comment[fr]" { print $2 }' aOOwriter.desktop >> /tmp/obs-fr.txt;echo . >> /tmp/obs.fr.txt;urxvt -g 50x6 -e less -~ /tmp/obs-fr.txt

# ~~~~~~~~~~~~
